#include <stdio.h>
main()
{
    int B,C,maks,Amin=0;
    scanf("%d %d",&B,&C);
    if(B>=0 && B<=500 && C>=0 && C<=500){
    maks=B;
    if(maks<C){
        maks=C;
    }
    if(C==0){
        maks=B;
    }

    if(C==0 && B>=256){
        Amin=0;
        printf("%d",Amin);
        return;
    }

    Amin = 256 - maks;

   printf("%d",Amin);

}
}